# $Id: smeserver-durep.spec,v 1.2 2020/10/23 11:45:26 brianr Exp $
# Authority: unnilennnium
# Name: JP Pialasse

%define name smeserver-durep
Name:          %{name}
%define version 1.5.0
Version:       %{version}
%define release 6
Release:       %{release}%{?dist}
License:       GPL
Source:  %{name}-%{version}.tar.gz

Patch0: smeserver-durep-1.5.0-bz10118-more_paths.patch
Patch1: smeserver-durep-1.5.0-dfposix.patch
Patch2: smeserver-durep-1.5.0-Add-creatlinks-to-alter-link-to-wrapper.patch
Patch3: smeserver-durep-1.5.0-bz10893-noreboot.patch

BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
BuildArch: noarch
Group:         Networking/Daemons
Summary:       DUREP - Graphic Report for Disk Usage
Requires:      perl(Data::Dumper)
Requires:      perl(MLDBM) >= 1.21-4
Obsoletes:    smeserver-durep-saco
Obsoletes:      e-smith-durep


%changelog
* Mon Feb 22 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-6.sme
- add smeserver-durep-update event [SME: 10893]
  make up spec file

* Fri Oct 23 2020 Brian Read <brianr@bjsystems.co.uk> 1.5.0-5.sme
- Initial import to SME10 tree [SME: 10893]
- Add in link to wrapper in createlinks

* Sat Dec 28 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-4.sme
- output all mounted points with df on one line using Posix

* Sat Feb 10 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-3.sme
- add hability to stat more directories [SME: 10118]
- add status enabled or disabled

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-2.sme
- Initial release to contribs9

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-1.sme
- Initial release to sme9

* Thu Sep 13 2012 JP Pialasse <test@pialasse.com> 1.3.0-6.sme
- add Obsoletes smeserver-durep-saco e-smith-durep [SME 7108]
- TODO cleaning spec file post and filelist chmod

* Mon Sep 10 2012 JP Pialasse <test@pialasse.com> 1.3.0-5.sme
- fix do not copy files  and filelist [SME 7098]
- patch df of plugged disk 

* Sun Sep 09 2012 JP Pialasse <test@pialasse.com> 1.3.0-4.sme
- dependencies resolution

* Fri Aug 31 2012 JP Pialasse <test@pialasse.com> 1.3.0-3.sme
- build error fix : prep setup

* Wed Aug 15 2012 JP Pialasse <test@pialasse.com> 1.3.0-1.sme
- update from 1.03-02sn to comply with SME8 and SME7
- moved archives to /var/lib/durep
- moved web files to manager/html
- cleaned spec

%description
DUREP is a  Report Generator that creates graphical Output for the "du" command

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root;  /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file "/usr/local/bin/durep" '%attr(0755,root,root)'  \
	--file "/usr/sbin/durep.daily" '%attr(0755,root,root)' \
> %{name}-%{version}-filelist


%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre -p /bin/sh

%post -p /bin/sh

%preun -p /bin/sh

%postun -p /bin/sh

